Skip to content

Get Organization Product Entities

Request

Returns extended product information for all products in an organization

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

Query
pageSizestring, <= 10000

Enter the number of items to return in each page of the result.

Default:"50"
pagestring

Enter the page number to display in the result. Page numbers start at 0

Default:"0"
GET
/api/v2.0/orgs/{orgToken}/productEntities
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/productEntities?pageSize=50&page=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
additionalDataobject(Provides insights into endpoint-supported pagination information.)
  • totalItems: The total count of data points returned in an API response.
  • isLastPage: Defines whether the current page represents the conclusion of the API response. When “true”, this signifies you are viewing the last page of the API response. When “false”, this indicates there are further pages remaining.
Example:
{ "totalItems": "422", "isLastPage": "true" }
supportTokenstring(Support Token)
Example:"1171c60d"
retValArray of objects(DomainEntitiesProductDTO)
Response
{ "additionalData": { "totalItems": "422", "isLastPage": "true" }, "supportToken": "1171c60d", "retVal": [ {} ] }